Bug 799029 - [RFE] Make console.log even more readable remove whole ansi sequences
[RFE] Make console.log even more readable remove whole ansi sequences
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.8
Unspecified Unspecified
medium Severity high (vote)
: 0.9.1
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 10:57 EST by Marian Ganisin
Modified: 2012-07-19 20:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:38:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2012-03-01 10:57:49 EST
Removal of 'escape characters' doesn't help with reading of console.log too much. It would be much better to remove/replace whole control sequences.

For example this dirty sequence of regular expressions makes console.log provided by beaker (with escape characters already removed) much more readable:

sed -e 's/??\+//g' -e 's/\[[0-9]\+;\?[0-9]*[AHBKC]\?//g' -e 's/ \{10,\}/\n/g' console.log

It could be much easier with 'escape' included, regexp could match exact syntax of sequence. Server-side can handle it.
Comment 1 Petr Šplíchal 2012-07-02 10:19:33 EDT
That is a very good idea as the mega-long lines actually "hide"
the real cause of installation failures. For a nice example see:

http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/06/2552/255267/543816/console.log

The implementation should be straightforward. Could we get this
fixed any time soon?
Comment 2 Bill Peck 2012-07-06 13:10:02 EDT
http://gerrit.beaker-project.org/#/c/1184/
Comment 5 Dan Callaghan 2012-07-19 20:38:26 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.